# Created by pyp2rpm-3.3.7
%global pypi_name attrdict

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 1
Summary:        A dict with attribute-style access
Group:          Development/Python
License:        MIT License
URL:            https://github.com/bcj/AttrDict
Source0:        %{pypi_source}
Patch1:		attrdict-collections.abc.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
AttrDict is a library that provides mapping objects that allow their elements
to be accessed both as keys and as attributes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
AttrDict is a library that provides mapping objects that allow their elements
to be accessed both as keys and as attributes.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 19 2022 wally <wally> 2.0.1-1.mga9
+ Revision: 1859262
- imported package python-attrdict

